Versions
Get versions
Get a list of available API versions
Input
Infomation |
|---|
| This endpoint accepts no inputs. |
Code samples
GET
/v1/versions If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/versions
curl -X GET \
'https://quantum.cloud.ibm.com/api/v1/versions' \
-H 'Accept: application/json' If your instance is in the eu-de region, use this URL instead: https://eu-de.quantum.cloud.ibm.com/api/v1/versions
import requests
response = requests.request(
"GET",
"https://quantum.cloud.ibm.com/api/v1/versions",
headers={
"Accept": "application/json"
},
)
print(response.json())Output
Status code | Description |
|---|---|
| 200 |
Responses
{
"versions": [
{
"version": "2024-01-01",
"sunset_date": "2027-01-01",
"status": "deprecated"
},
{
"version": "2025-01-01",
"sunset_date": "2027-01-01",
"status": "deprecated"
},
{
"version": "2025-05-01",
"sunset_date": "2027-01-01",
"status": "deprecated"
},
{
"version": "2026-02-01",
"sunset_date": "2027-02-01",
"status": "deprecated"
},
{
"version": "2026-02-15",
"sunset_date": "2027-02-15",
"status": "deprecated"
},
{
"version": "2026-03-15",
"status": "live"
}
]
}{
"type": "object",
"properties": {
"versions": {
"example": [
{
"version": "2024-01-01",
"sunset_date": "2027-01-01",
"status": "deprecated"
},
{
"version": "2025-01-01",
"sunset_date": "2027-01-01",
"status": "deprecated"
},
{
"version": "2025-05-01",
"sunset_date": "2027-01-01",
"status": "deprecated"
},
{
"version": "2026-02-01",
"sunset_date": "2027-02-01",
"status": "deprecated"
},
{
"version": "2026-02-15",
"sunset_date": "2027-02-15",
"status": "deprecated"
},
{
"version": "2026-03-15",
"status": "live"
}
],
"type": "array",
"items": {
"type": "object",
"properties": {
"version": {
"type": "string",
"description": "The API version in `YYYY-MM-DD` format.",
"format": "date",
"minLength": 10,
"maxLength": 10,
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"sunset_date": {
"type": "string",
"description": "The sunset date of the API version in `YYYY-MM-DD` format. Support may drop at anytime on or after this date.",
"format": "date",
"minLength": 10,
"maxLength": 10,
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"status": {
"description": "The support status of the API version.",
"allOf": [
{
"type": "string",
"enum": [
"live",
"deprecated"
],
"description": "The support status of the API version."
}
]
}
},
"required": [
"version",
"status"
]
}
}
},
"required": [
"versions"
]
}Was this page helpful?
Report a bug, typo, or request content on GitHub.